import request from '@/utils/request'

// 查询办公用品管理列表
export function listOfficesupply(query) {
  return request({
    url: '/affair/officesupply/list',
    method: 'get',
    params: query
  })
}

// 查询办公用品管理详细
export function getOfficesupply(id) {
  return request({
    url: '/affair/officesupply/' + id,
    method: 'get'
  })
}

// 新增办公用品管理
export function addOfficesupply(data) {
  return request({
    url: '/affair/officesupply',
    method: 'post',
    data: data
  })
}

// 修改办公用品管理
export function updateOfficesupply(data) {
  return request({
    url: '/affair/officesupply',
    method: 'put',
    data: data
  })
}

// 删除办公用品管理
export function delOfficesupply(id) {
  return request({
    url: '/affair/officesupply/' + id,
    method: 'delete'
  })
}

// 导出办公用品管理
export function exportOfficesupply(query) {
  return request({
    url: '/affair/officesupply/export',
    method: 'get',
    params: query
  })
}
